%define upstream_name acme

Name:           python-%{upstream_name}
Version:        0.9.3
Release:        %mkrel 1
Summary:        ACME protocol implementation in Python
Group:          Development/Python
License:        Apache
URL:            https://pypi.python.org/pypi/acme
Source0:        https://pypi.python.org/packages/source/a/acme/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
ACME protocol implementation in Python.

%package -n     python3-%{upstream_name}
Summary:        ACME protocol implementation in Python 3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{upstream_name}
ACME protocol implementation in Python 3.

%prep
%setup -q -n %{upstream_name}-%{version}

# Remove bundled egg-info
rm -rf %{upstream_name}.egg-info

%build
%py2_build

%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/jws %{buildroot}%{_bindir}/python3-jws

%py2_install

%files
%{_bindir}/jws
%{python2_sitelib}/acme
%{python2_sitelib}/acme-%{version}-*.egg-info

%files -n python3-%{upstream_name}
%{_bindir}/python3-jws
%{python3_sitelib}/acme
%{python3_sitelib}/acme-%{version}-*.egg-info


%changelog
* Sat Nov 12 2016 guillomovitch <guillomovitch> 0.9.3-1.mga6
+ Revision: 1066647
- new version 0.9.3

* Thu Aug 25 2016 guillomovitch <guillomovitch> 0.8.1-1.mga6
+ Revision: 1048922
- new version 0.8.1

* Mon Apr 18 2016 guillomovitch <guillomovitch> 0.5.0-1.mga6
+ Revision: 1003529
- new version 0.5.0

* Wed Mar 02 2016 guillomovitch <guillomovitch> 0.4.1-1.mga6
+ Revision: 983716
- new version 0.4.1

* Fri Feb 12 2016 guillomovitch <guillomovitch> 0.4.0-1.mga6
+ Revision: 956922
- new version 0.4.0

* Wed Feb 10 2016 guillomovitch <guillomovitch> 0.3.0-1.mga6
+ Revision: 953269
- new version 0.3.0

* Tue Jan 19 2016 daviddavid <daviddavid> 0.2.0-2.mga6
+ Revision: 925750
- use new python macros
- add python3 package

* Sun Jan 17 2016 guillomovitch <guillomovitch> 0.2.0-1.mga6
+ Revision: 925189
- new version

* Wed Dec 16 2015 guillomovitch <guillomovitch> 0.1.1-1.mga6
+ Revision: 911068
- new version 0.1.1

* Fri Dec 04 2015 guillomovitch <guillomovitch> 0.1.0-1.mga6
+ Revision: 908039
- imported package python-acme

